Bug 237047 - OpenOffice.org Bibliography Database tool crashes
OpenOffice.org Bibliography Database tool crashes
Status: CLOSED DUPLICATE of bug 236773
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 21:12 EDT by Bojan Smojver
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 02:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of failure on i386 (176.63 KB, image/jpeg)
2007-04-18 21:23 EDT, Bojan Smojver
no flags Details

  None (edit)
Description Bojan Smojver 2007-04-18 21:12:58 EDT
Description of problem:
OpenOffice.org Bibliography Database tool crashes on start. Confirmed on i386
and x86_64.


Version-Release number of selected component (if applicable):
openoffice.org-core-2.0.4-5.5.21
openoffice.org-writer-2.0.4-5.5.21

How reproducible:
Always.

Steps to Reproduce:
1. Open OpenOffice.org.
2. Click on Tools -> Bibliography Database

  
Actual results:
Crash.

Expected results:
Shouldn't crash?

Additional info:
Diagnostics by OpenOffice.org (i386):
----------------------------------------------------
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers/i810_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386
(V)    kernel is: Linux 2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 18:46:45 EDT 2007
i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.21-i386
(VII)  depth of root window:    24 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x041d1095: 0x001c0374: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23095
0x041d1dfb: 0x001c0374: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x23dfb
0x002d5420: 0x00000000:  + 0x420 (__kernel_sigreturn + 0x0)
0x03878373: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x24373
(cppu::WeakAggImplHelper_queryAgg(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::OWeakAggObject*) + 0x153)
0x07ea3069: 0x00240624: /usr/lib/openoffice.org2.0/program/libtk680li.so +
0x14e069 (UnoEditControl::queryAggregation(com::sun::star::uno::Type const&) + 0x49)
0x04b29fa3: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0x1dbfa3
0x03880086: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x2c086
(cppu::OWeakAggObject::queryInterface(com::sun::star::uno::Type const&) + 0x96)
0x07ea0e90: 0x00240624: /usr/lib/openoffice.org2.0/program/libtk680li.so +
0x14be90 (UnoEditControl::queryInterface(com::sun::star::uno::Type const&) + 0x30)
0x04b2cd60: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0x1ded60
0x04ab2deb: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0x164deb
0x04ab3248: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0x165248
0x04a490d6: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0xfb0d6
0x04a4942a: 0x002bc250: /usr/lib/openoffice.org2.0/program/libfrm680li.so + 0xfb42a
0x03888a95: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x34a95
0x03888468: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x34468
0x0388857d: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x3457d
0x0388abae: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x36bae
0x03888468: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x34468
0x0388857d: 0x0006db74:
/usr/lib/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x3457d
0x01db9580: 0x0001ffa8: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so +
0xb580
0x01db3fdb: 0x0001ffa8: /usr/lib/openoffice.org2.0/program/servicemgr.uno.so +
0x5fdb
0x04042ecf: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x20ecf
0x04043949: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x21949
0x04049a1a: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x27a1a
0x04059d56: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x37d56
0x0405a088: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x38088
0x04031936: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0xf936
0x0406b2f9: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x492f9
0x0403c514: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x1a514
0x0403cc27: 0x00067940: /usr/lib/openoffice.org2.0/program/libbib680li.so + 0x1ac27
0x01ff2ec2: 0x002d1f44: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x195ec2
0x01ff4f5a: 0x002d1f44: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x197f5a
0x01e9e0fc: 0x002d1f44: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x410fc
0x01e9df10: 0x002d1f44: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x40f10
0x034e28d4: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xbe8d4
0x034dcce8: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xb8ce8
0x036ab2da: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2872da
0x036aba78: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x287a78
0x036abae8: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x287ae8
0x036db4f5: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2b74f5
0x036db499: 0x003ea798: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x2b7499
0x00555056: 0x0035d17c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x27f056
0x04929351: 0x0006d6b0:
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x50351
(SalDisplay::DispatchInternalEvent() + 0xb1)
0x025053f6: 0x00043b6c:
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x103f6
0x02505431: 0x00043b6c:
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x10431
0x054d56e1: 0x0009d0bc: /lib/libglib-2.0.so.0 + 0x296e1
0x054d7442: 0x0009d0bc: /lib/libglib-2.0.so.0 + 0x2b442 (g_main_context_dispatch
+ 0x182)
0x054da41f: 0x0009d0bc: /lib/libglib-2.0.so.0 + 0x2e41f
0x054da985: 0x0009d0bc: /lib/libglib-2.0.so.0 + 0x2e985
(g_main_context_iteration + 0x65)
0x02507321: 0x00043b6c:
/usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x12321
0x0492a7c7: 0x0006d6b0:
/usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x517c7
(X11SalInstance::Yield(bool, bool) + 0x37)
0x00368658: 0x0035d17c: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x92658 (Application::Yield(bool) + 0x68)
0x0036872c: 0x0035d17c: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x9272c (Application::Execute() + 0x3c)
0x008fc979: 0x00057dec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x26979 (desktop::Desktop::Main() + 0x1779)
0x0036e22c: 0x0035d17c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x9822c
0x0036e335: 0x0035d17c: /usr/lib/openoffice.org2.0/program/libvcl680li.so +
0x98335 (SVMain() + 0x35)
0x008ee079: 0x00057dec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x18079 (sal_main + 0x59)
0x008ee104: 0x00057dec: /usr/lib/openoffice.org2.0/program/libsoffice.so +
0x18104 (main + 0x44)
0x0014cf2c: 0x00138d9c: /lib/libc.so.6 + 0x15f2c (__libc_start_main + 0xdc)
0x080484a1: 0x00000618: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4a1
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00370000)
	libuno_sal.so.3 => /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 (0x00a71000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00a20000)
	libstore.so.3 => /usr/lib/openoffice.org2.0/program/libstore.so.3 (0x002f1000)
	libdl.so.2 => /lib/libdl.so.2 (0x009be000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0022b000)
	libstlport_gcc.so => /usr/lib/openoffice.org2.0/program/libstlport_gcc.so
(0x00110000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00e0e000)
	libm.so.6 => /lib/libm.so.6 (0x0085b000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00cce000)
	libc.so.6 => /lib/libc.so.6 (0x00645000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x001df000)
	/lib/ld-linux.so.2 (0x80000000)
...end sample ldd details ...
----------------------------------------------------
Comment 1 Bojan Smojver 2007-04-18 21:15:44 EDT
And the same on x86_64:
----------------------------------------------------
(I)    x.org loaded video driver of...
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-51.fc6-i386 libgcj-4.1.1-51.fc6-x86_64
(V)    kernel is: Linux 2.6.20-1.2944.fc6 #1 SMP Tue Apr 10 17:46:00 EDT 2007
x86_64 x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.0.4-5.5.21-x86_64
(VII)  depth of root window:    16 planes
(VIII) accessibility is: false
(VIV)  fedora release is: Fedora Core release 6 (Zod)
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x000000318ca36848: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x36848
0x000000318ca3734b: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_sal.so.3 + 0x3734b
0x0000003306a0dde0: 0x0000000000000006: /lib64/libpthread.so.0 + 0xdde0
0x000000318d23b412: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x3b412
0x000000318d23c9f4: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x3c9f4
(cppu::WeakAggImplHelper_queryAgg(com::sun::star::uno::Type const&,
cppu::class_data*, void*, cppu::OWeakAggObject*) + 0x144)
0x00000031931c48c9: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x1c48c9
(UnoEditControl::queryAggregation(com::sun::star::uno::Type const&) + 0x49)
0x00002aaab64680ea: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x2270ea
0x000000318d243d80: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x43d80
(cppu::OWeakAggObject::queryInterface(com::sun::star::uno::Type const&) + 0x90)
0x00000031931c2961: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libtk680lx.so + 0x1c2961
(UnoEditControl::queryInterface(com::sun::star::uno::Type const&) + 0x11)
0x00002aaab646ac71: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x229c71
0x00002aaab63f8c01: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x1b7c01
0x00002aaab63f905a: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x1b805a
0x00002aaab6395bcf: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x154bcf
0x00002aaab6395f42: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfrm680lx.so + 0x154f42
0x000000318d24bb88: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4bb88
(cppu::OSingleFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0x148)
0x000000318d24b5ad: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4b5ad
(cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0x1d)
0x000000318d24b6bf: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4b6bf
(cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0xdf)
0x000000318d24db89: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4db89
(cppu::ORegistryFactoryHelper::createInstanceEveryTime(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0xc9)
0x000000318d24b5ad: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4b5ad
(cppu::OSingleFactoryHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0x1d)
0x000000318d24b6bf: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libuno_cppuhelpergcc3.so.3 + 0x4b6bf
(cppu::OFactoryComponentHelper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0xdf)
0x00002aaaae950147: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/servicemgr.uno.so + 0x10147
0x00002aaaae94a252: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/servicemgr.uno.so + 0xa252
0x00002aaab5fe85db: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x2a5db
0x00002aaab5fe8fa5: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x2afa5
0x00002aaab5fef3ce: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x313ce
0x00002aaab5ffe3a3: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x403a3
0x00002aaab5ffe632: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x40632
0x00002aaab600efd4: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x50fd4
0x00002aaab5fe3029: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x25029
0x00002aaab5fe378f: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libbib680lx.so + 0x2578f
0x00000031947b1232: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x1b1232
0x00000031947b2fb1: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x1b2fb1
0x000000319466e924: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x6e924
0x000000319466e75e: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libfwk680lx.so + 0x6e75e
0x0000003190d184bb: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x1184bb
0x0000003190ebf126: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2bf126
0x0000003190ebf8a7: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2bf8a7
0x0000003190eebb42: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsfx680lx.so + 0x2ebb42
0x000000318f8a0e61: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0x2a0e61
0x00002aaaae2f3c67: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvclplug_gen680lx.so + 0x57c67
(SalDisplay::DispatchInternalEvent() + 0xb7)
0x00002aaaae04d746: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x16746
0x0000003dd962cf64: 0x0000000000000006: /lib64/libglib-2.0.so.0 + 0x2cf64
(g_main_context_dispatch + 0x1b4)
0x0000003dd962fd9d: 0x0000000000000006: /lib64/libglib-2.0.so.0 + 0x2fd9d
0x0000003dd96302ce: 0x0000000000000006: /lib64/libglib-2.0.so.0 + 0x302ce
(g_main_context_iteration + 0x6e)
0x00002aaaae04f16b: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvclplug_gtk680lx.so + 0x1816b
0x000000318f6d03b1: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xd03b1
(Application::Yield(bool) + 0x51)
0x000000318f6d044a: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xd044a
(Application::Execute() + 0x2a)
0x0000003196c2d465: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x2d465
(desktop::Desktop::Main() + 0x15a5)
0x000000318f6d5b49: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xd5b49
0x000000318f6d5c35: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libvcl680lx.so + 0xd5c35 (SVMain() + 0x25)
0x0000003196c20486: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/libsoffice.so + 0x20486 (sal_main + 0x46)
0x0000003305e1da44: 0x0000000000000006: /lib64/libc.so.6 + 0x1da44
(__libc_start_main + 0xf4)
0x0000000000400619: 0x0000000000000006:
/usr/lib64/openoffice.org2.0/program/swriter.bin + 0x619
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org2.0/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org2.0/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org2.0/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4f5000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab6f9000)
	libstlport_gcc.so => /usr/lib64/openoffice.org2.0/program/libstlport_gcc.so
(0x00002aaaab913000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbf0000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabef0000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac173000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac381000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6cf000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...
----------------------------------------------------
Comment 2 Bojan Smojver 2007-04-18 21:16:37 EDT
Just in case it's important, all machines I tested this on use i810 X driver and
compiz.
Comment 3 Bojan Smojver 2007-04-18 21:23:38 EDT
Created attachment 152975 [details]
Screen shot of failure on i386
Comment 4 Caolan McNamara 2007-04-19 02:48:20 EDT

*** This bug has been marked as a duplicate of 236773 ***

Note You need to log in before you can comment on or make changes to this bug.